#
# spec file for package pdfchain
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012-2013 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pdfchain
Version:        0.4.4.2
Release:        11.2
Summary:        A GUI for pdftk
License:        GPL-3.0
Group:          Productivity/Publishing/PDF
Url:            http://pdfchain.sourceforge.net
Source0:        http://sourceforge.net/projects/pdfchain/files/pdfchain-%{version}/pdfchain-%{version}.tar.gz
Source1:        pdfchain.appdata.xml
Patch0:         pdfchain-desktop.patch
# PATCH-FIX-UPSTREAM fix-crash-and-warnings.patch fcrozat@suse.com -- fix crash at startup
Patch1:         0003-Fix-crash-because-the-RadioButtonGroup-was-contructe.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.35.0
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.12.0
Requires:       hicolor-icon-theme
Requires:       pdftk >= 2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PDF Chain is a Graphical User Interface for the PDF Tool Kit.
It includes features designed to handle PDF files in a easy way.
Basicaly it can merge, split, add backgrounds or stamps and add attachments.
There are some tools for extended needs, too.

The GUI is written using GTKmm, a C++ library for GTK.
PDF Chain is released under the terms of the GNU Public License verion 3.
PDF Chain comes without any warranty.

%prep
%setup -q
%patch0
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -rf %{buildroot}%{_datadir}/doc/pdfchain

%fdupes %{buildroot}

# Install appdata
install -Dm0644 %{S:1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/pdfchain
%{_datadir}/applications/pdfchain.desktop
%{_datadir}/icons/hicolor/*/apps/pdfchain.png
%{_datadir}/pixmaps/pdfchain.png
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Wed Aug  3 2016 badshah400@gmail.com
- Add pdfchain.appdata.xml as a source and install it to the
  appdata dir; appdata file sent upstream.
- Use main homepage for URL.
* Thu Mar 10 2016 fcrozat@suse.com
- Add 0003-Fix-crash-because-the-RadioButtonGroup-was-contructe.patch:
  fix crash (and some warnings) when starting the application.
  Patch by Hubert Figuière [boo#970530].
* Wed Mar  9 2016 fcrozat@suse.com
- Version 0.4.4.2:
  * Quoting passwords: $ sign in passoword is now possible
  * Disabled rubber banding in the treeviews of catenate and
    attachment.
  * Replaced switch() statements with boolean variables with if()
    statements.
  * Solved problem with the Gtk::CellrendererText
  * Added Help Button and MenuItem which links to the documentation
    page.
  * Adjusted the year in the copyright message in the about dialog.
  * Corrected required version of GTKmm for C++11 from 3.12 to 3.18
    in configure.ac (was wrong).
- Changes from version 0.4.4.1:
  * Added check for gtkmm >= 3.12 in configure.ac. gtkmm >= 3.12
    depends on c++11. If check is true the compiler flag -std=c++0x
    will be set..
- Update BuildRequires to pkgconfig(gtkmm-3.0) >= 3.12
* Sun Sep 20 2015 mpluskal@suse.com
- Use url for source
- Use macros for desktop file and icon handling
- Cleanup spec file with spec-cleaner
* Tue Nov  5 2013 joerg.lorenzen@ki.tng.de
  * Requires pdftk >= 2.0 (already since version 0.4.2), changed dependency
* Thu Jul 11 2013 joerg.lorenzen@ki.tng.de
  Version 0.4.4 (alpha)
  * Depends no longer on gtkmm >= 3.6 (works with gtkmm >= 3.0)
  * Added fallback for gtkmm < 3.6 (no MenuButton is used)
  * Changed the configure.ac to define PDFCHAIN_GTKMM_OLD
    at config.h in case of gtkmm < 3.6
  * Revised the FileChooser Dialogs and Buttons
  * Added a clear function to all FileChoosers
  * All FileChooser show the "current folder" not the "history"
  * Changed the clear function for the FileChooser in the sections
  Version 0.4.3 (alpha)
  * Revised Sections Background/Stamp and Burst
  * Revised and added Tooltips
  * Simpler user guidance
  * Revised some tooltips
  * Changed the signal handler for the check buttons in section Permissions
  Version 0.4.2 (alpha)
  * Depends on PDFtk >= 2.0
  * Renamed Concatenate to Catenate
  * Added and revised tooltips in sections Tools and Catenate
  * Revised PDFtk return code messages
  * Added PDFtk return codes 3 and 768
  * Added new features of PDFtk 2.0 in section Tools
  * "Dump Data Annotaion"
  * "Needs Appearances"
  * Added "Repair document" in section Tools
  * Replaced the expression "PDF file" by "document"
  * Revised section permissions
  * Revised tooltips
  * Added user guidance (useless selections shouldn't be able)
  * Revised the "create_command()" methode
  * Added handlig and warning if user and owner password are the same
* Tue Jul  2 2013 joerg.lorenzen@ki.tng.de
  Version 0.4.1 (alpha)
  * Depends on gtkmm-3.0 >= 3.6.0 (for Gtk::MenuButton)
  * Added a right click popup menu for the cat treeview
  * Added move to top and move to bottom buttons to section cat
  * Added some tooltips
  * Moved the clear and about button into a menu with a menu button
  * Moved the permissions from an expander to a toggle button
  * Changed the order of the file filter at output folder file chooser burst
  * Changed the stock icon at output folder file chooser burst
    (Gtk::Stock::DIRECTORY doesn't work right)
* Wed Apr  3 2013 joerg.lorenzen@ki.tng.de
  Version 0.4.0 (alpha)
  * PDF Chain 0.4.0 is compatible with the PDF Toolkit 1.45
    and supporting its features.
    PDF Chain 0.4.0 is not compatible with PDFtk 1.44 and older!
  * Merged Cat Simple and Cat Extended to Conaticate
    using the multi-character input handles of PDFtk 1.45.
    By implementing the multi-character handles,
    PDFtk removed its 26 file limitation.
    Cat Simple is not necessary any longer.
  * Using a guint id instead a char handle for indexing the files.
    Default (not indexed) file id is G_MAXUINT.
  * The method cLStore_CatExtended::createCommand() creates
    a PDFtk input handle from the id.
    Id 0 equals to handle A, 25 to Z, 26 to BA (multi-character) ...
  * Adjust the command syntax for page rotation to PDFtk 1.45.
    Using north, south, east, west now instead of N, S, E, W.
  * Supporting the r page prefix of PDFtk 1.45.
  * Rewrote some methodes at file id store_cat.cc
    and reorganized some functionality of the liststore.
  * Implemented the Clear Button.
  * Removed the "Options" at the add-files-filechooser of Concatenate (Cat Extended).
  * Add has its own column at Concatenate now.
  * Changed some Labels ("Shuffle", "Digits", "UTF-8", ...)
  * Updated projectpage (http://pdfchain.sourceforge.net/)
* Tue Oct  9 2012 joerg.lorenzen@ki.tng.de
  Version 0.3.5 (alpha)
  * Bugfix in section "Cat Extended"
    (Bugreport: https://bugs.launchpad.net/ubuntu/+source/pdfchain/+bug/1048045)
    Now re-indexing list-entries before creating the command
    at metohod cLStore_CatExtended::createCommand()
* Sun Aug 26 2012 joerg.lorenzen@ki.tng.de
  Version 0.3.4 (alpha)
  * Added new section "Cat Simple"
  * Changed GUI design
  * Removed menubar (looks more like a dialog)
  * Sections use full window width (looks more like gedit)
  * Replaced progressbar by statusbar (status messages are not visible yet)
  * Changed some strings
  * Renamed section "Concatenate" to "Cat Extended"
  * Renamed "Features" to "Allow" (like at pdftk)
  * some other strings ...
  * Implementing code for "Attach to page" (missing since v.0.3.1)
  * Fixed behavior of "Add files" at section "Cat Extended"
  * Rewrote filechoosers and filechooserbuttons
  * Rewrote combobox "pdf id" at cat sections
  * Configured autoconf by hand
  * Rewrote project homepage: http://pdfchain.sourceforge.net
  * Created Git repository at sourceforge project page:
    git://pdfchain.git.sourceforge.net/gitroot/pdfchain/pdfchain
  * Created new application logo and set of icons
* Wed Jan 18 2012 joerg.lorenzen@ki.tng.de
- Initial package, version 0.3.3
